Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.calendar
Class Day.Interval

    java.lang.Object
      portlets.compoze.groupware.calendar.Day.Interval

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Day

public static class Day.Interval
extends java.lang.Object
implements java.io.Serializable

This class represents an interval in a day.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Day.Interval.Entry` This class represents an interval entry.

Method Summary
`boolean` | `display()` Checks if this interval should be displayed.
`boolean` | `displayTime()` Checks to display time.
`java.util.Date` | `getEndDate()` Gets the end date of the interval.
`Day.Interval.Entry[]` | `getEntries()` Gets the entries.
`java.util.Date` | `getStartDate()` Gets the start date of the interval.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### displayTime

    public boolean displayTime()

  Checks to display time.

  Returns:
    `true` to display time; `false` otherwise

### getStartDate

    public java.util.Date getStartDate()

  Gets the start date of the interval.

  Returns:
    the start date

### getEndDate

    public java.util.Date getEndDate()

  Gets the end date of the interval.

  Returns:
    the end date

### display

    public boolean display()

  Checks if this interval should be displayed.

  Returns:
    `true` if this interval should be displayed; `false` otherwise

### getEntries

    public Day.Interval.Entry[] getEntries()

  Gets the entries.

  Returns:
    the entries.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.